%global realname relx
%global upstream erlware

Name:     erlang-%{realname}
Version:  4.2.0
Release:  %mkrel 1
BuildArch: noarch
Summary:  Release assembler for Erlang/OTP Releases
Group:    Development/Other
License:  ASL 2.0
URL:      https://github.com/%{upstream}/%{realname}
Source0:  https://github.com/%{upstream}/%{realname}/archive/v%{version}/%{realname}-v%{version}.tar.gz
Patch1:   erlang-relx-0001-Fix-for-rebar2.patch
BuildRequires:  erlang-rebar
BuildRequires:  erlang-providers
BuildRequires:  erlang-erlware_commons
BuildRequires:  erlang-cf
BuildRequires:  erlang-bbmustache
BuildRequires:  erlang-getopt

%description
Relx assembles releases for an Erlang/OTP release. Given a release
specification and a list of directories in which to search for OTP applications
it will generate a release output.

%prep
%autosetup -p1 -n %{realname}-%{version}

%build
%{erlang_compile}

%install
%{erlang_install}

%check
%{erlang_test}

%files
%license LICENSE.md
%doc README.md
%{erlang_appdir}/


%changelog
* Sat Dec 19 2020 wally <wally> 4.2.0-1.mga8
+ Revision: 1661280
- new version 4.2.0
- make pkg noarch

* Fri Feb 14 2020 umeabot <umeabot> 3.28.0-2.mga8
+ Revision: 1523037
- Mageia 8 Mass Rebuild

* Sun Feb 17 2019 wally <wally> 3.28.0-1.mga7
+ Revision: 1367884
- new version 3.28.0

* Tue Nov 20 2018 wally <wally> 3.26.0-1.mga7
+ Revision: 1332460
- imported package erlang-relx


* Sat Oct 13 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 3.26.0-3
- Convert into a noarch package.
- Rebuild against the noarch bbmustache (#1638979).

* Thu Oct 11 2018 Timothée Floure <fnux@fedoraproject.org> - 3.26.0-2
- Fix runtime dependency on bbmustache

* Sun Jul 15 2018 Timothée Floure <fnux@fedoraproject.org> - 3.26.0-1
- Let there be package
